# FoundationClasses
TKernel
OSD

# OSD_Host Class Reference

Carries information about a Host
.

`#include <OSD_Host.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Host ()
| Initializes current host by default. .
Standard_EXPORT TCollection_AsciiString | SystemVersion ()
| Returns system name and version .
Standard_EXPORT OSD_SysType | SystemId () const
| Returns the system type (UNIX System V, UNIX BSD, MS-DOS...) .
Standard_EXPORT TCollection_AsciiString | HostName ()
| Returns host name. .
Standard_EXPORT Standard_Integer | AvailableMemory ()
| Returns available memory in Kilobytes. .
Standard_EXPORT TCollection_AsciiString | InternetAddress ()
| Returns Internet address of current host. .
Standard_EXPORT TCollection_AsciiString | EthernetAddress ()
| Returns Ethernet address of current host. .
Standard_EXPORT OSD_OEMType | MachineType ()
| Returns type of current machine. .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

TCollection_AsciiString | myName
OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Host::OSD_Host | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer OSD_Host::AvailableMemory | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Host::Error | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString OSD_Host::EthernetAddress | ( |  | ) |

Standard_EXPORT Standard_Boolean OSD_Host::Failed | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString OSD_Host::HostName | ( |  | ) |

Standard_EXPORT TCollection_AsciiString OSD_Host::InternetAddress | ( |  | ) |

Standard_EXPORT OSD_OEMType OSD_Host::MachineType | ( |  | ) |

void OSD_Host::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Host::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Host::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Host::Perror | ( |  | ) |

Standard_EXPORT void OSD_Host::Reset | ( |  | ) |

Standard_EXPORT OSD_SysType OSD_Host::SystemId | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString OSD_Host::SystemVersion | ( |  | ) |

## Field Documentation

OSD_Error OSD_Host::myError `[private]`

TCollection_AsciiString OSD_Host::myName `[private]`

The documentation for this class was generated from the following file:

- OSD_Host.hxx